Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser
Class AbstractDetailPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.gjt.jclasslib.browser.AbstractDetailPane

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, Serializable

Direct Known Subclasses:
  AttributeDetailPane, ByteCodeDetailPane, CodeAttributeDetailPane, ConstantPoolDetailPane, ElementValueDetailPane, FixedListDetailPane, ListDetailPane

public abstract class AbstractDetailPane
extends JPanel

Base class for all detail panes showing specific information for a specific tree node selected in `BrowserTreePane`.

Version:
  $Revision: 1.5 $ $Date: 2003/08/18 08:06:31 $
Author:
  Ingo Kegel
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected static Color` | `COLOR_HIGHLIGHT` Color for highlighted text (values in key-value pairs).
`static Color` | `COLOR_LINK` Color for hyperlinks.
`static String` | `CPINFO_LINK_TEXT` Text prepended to constant pool hyperlinks.
`protected BrowserServices` | `services` Services for this detail pane.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`protected` | `AbstractDetailPane(BrowserServices services)` Constructs a detail pane with a specified parent frame.

Method Summary
`protected void` | `constantPoolHyperlink(ExtendedJLabel value, ExtendedJLabel comment, int constantPoolIndex)` Construct a hyperlink into the constant pool.
`protected AttributeInfo` | `findAttribute(TreePath path)` Find the attribute pertaining to a specific tree path.
`BrowserServices` | `getBrowserServices()` Get the associated `BrowserServices` object.
`protected String` | `getConstantPoolEntryName(int constantPoolIndex)` Get the name of a constant pool entry.
`protected int` | `getIndex(TreePath treePath)` Determine the index of the tree node selected in `BrowserTreePane` among its siblings.
`protected ExtendedJLabel` | `highlightLabel()` Create a highlighted label (values in key-value pairs).
`protected ExtendedJLabel` | `linkLabel()` Create a label with the appearance of a hyperlink.
`protected ExtendedJLabel` | `normalLabel()` Create a normal label (keys in key-value pairs).
`protected ExtendedJLabel` | `normalLabel(String text)` Create a normal label (keys in key-value pairs).
`protected abstract void` | `setupComponent()` Setup the detail pane at the beginning of its life cycle.
`abstract void` | `show(TreePath treePath)` Show the detail pane for a specific tree node selected in `BrowserTreePane`.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CPINFO_LINK_TEXT

    public static final String CPINFO_LINK_TEXT

  Text prepended to constant pool hyperlinks.

  See Also:
    Constant Field Values

### COLOR_LINK

    public static final Color COLOR_LINK

  Color for hyperlinks.

### COLOR_HIGHLIGHT

    protected static final Color COLOR_HIGHLIGHT

  Color for highlighted text (values in key-value pairs).

### services

    protected BrowserServices services

  Services for this detail pane.

Constructor Detail

### AbstractDetailPane

    protected AbstractDetailPane(BrowserServices services)

  Constructs a detail pane with a specified parent frame.

Parameters:
  `services` - browser services

Method Detail

### getBrowserServices

    public BrowserServices getBrowserServices()

  Get the associated `BrowserServices` object.

  Returns:
    the browser services

### show

    public abstract void show(TreePath treePath)

  Show the detail pane for a specific tree node selected in `BrowserTreePane`.

  Parameters:
    `treePath` - the `TreePath` for the selection in `BrowserTreePane`

### setupComponent

    protected abstract void setupComponent()

  Setup the detail pane at the beginning of its life cycle.

### normalLabel

    protected ExtendedJLabel normalLabel()

  Create a normal label (keys in key-value pairs).

  Returns:
    the label

### normalLabel

    protected ExtendedJLabel normalLabel(String text)

  Create a normal label (keys in key-value pairs).

  Parameters:
    `text` - the text for the label
  Returns:
    the label

### highlightLabel

    protected ExtendedJLabel highlightLabel()

  Create a highlighted label (values in key-value pairs).

  Returns:
    the label

### linkLabel

    protected ExtendedJLabel linkLabel()

  Create a label with the appearance of a hyperlink.

  Returns:
    the label

### getIndex

    protected int getIndex(TreePath treePath)

  Determine the index of the tree node selected in `BrowserTreePane` among its siblings.

  Parameters:
    `treePath` - the tree path
  Returns:
    the index

### findAttribute

    protected AttributeInfo findAttribute(TreePath path)

  Find the attribute pertaining to a specific tree path.

  Parameters:
    `path` - the tree path
  Returns:
    the attribute

### getConstantPoolEntryName

    protected String getConstantPoolEntryName(int constantPoolIndex)

  Get the name of a constant pool entry.

  Parameters:
    `constantPoolIndex` - the index of the constant pool entry
  Returns:
    the name

### constantPoolHyperlink

    protected void constantPoolHyperlink(ExtendedJLabel value,
                                         ExtendedJLabel comment,
                                         int constantPoolIndex)

  Construct a hyperlink into the constant pool.

  Parameters:
    `value` - the label for the hyperlink source
    `comment` - an oprional label whose text is automatically set to the name of the constant pool entry
    `constantPoolIndex` - the index of the constant pool entry for the target of the hyperlink

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD